---
title: 'xml:base'
slug: 'Web/SVG/Attribute/xml:base'
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <code><strong>xml:base</strong></code> attribute specifies a base {{Glossary("IRI")}} other than the base IRI of the document or external entity.</p>

<p>All elements are using this attribute.</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;iri&gt;</code></dt>
 <dd>This value specifies the base IRI of the element.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#XMLBaseAttribute", "xml:base")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.core.xml_base")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.w3.org/TR/xmlbase/"><cite>XML Base</cite></a> specification</li>
</ul>
